﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

//追加
using System.Data.SqlServerCe;

namespace ideatimecapsule_cs
{
    public partial class FormAdd : Form
    {
        //アイデアをInsertするSQL
        private const string COMMAND_TEXT_INSERT_IDEA = @"
            INSERT INTO IDEA (LIMIT_TIME, IDEA_CONTENTS) 
                VALUES (@LIMIT_TIME, @IDEA_CONTENTS)";

        //期限を選択できる最小値に追加する月数
        private const int ADD_MONTH = 1;

        //コンストラクタ
        public FormAdd()
        {
            InitializeComponent();
            dateTimePicker1.MinDate = DateTime.Today.AddMonths(ADD_MONTH);
        }

        //閉じるボタン押下時のイベントハンドラ
        private void buttonClose_Click(object sender, EventArgs e)
        {
            //追加ウインドウを閉じる
            this.Close();
        }

        //追加ボタン押下時のイベントハンドラ
        private void buttonAdd_Click(object sender, EventArgs e)
        {
            //コネクションを作成し開く
            using (SqlCeConnection con = DBUtility.GetConnection())
            {
                con.Open();

                //アイデアをインサートするためのコマンド生成する
                SqlCeCommand command = new SqlCeCommand(COMMAND_TEXT_INSERT_IDEA, con);

                //パラメータを作成しコマンドに設定する
                List<SqlCeParameter> paramList = new List<SqlCeParameter>();
                paramList.Add(new SqlCeParameter("@LIMIT_TIME", dateTimePicker1.Value));
                paramList.Add(new SqlCeParameter("@IDEA_CONTENTS", richTextBox1.Text));
                foreach (SqlCeParameter p in paramList)
                    command.Parameters.Add(p);

                //SQLを実行する
                command.ExecuteNonQuery();

                //コネクションを閉じる
                con.Close();
            }

            //追加ウインドウを閉じる
            this.Close();
        }
    }
}
