﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

//追加
using System.Data.SqlServerCe;

namespace ideatimecapsule_cs
{
    public partial class FormMain : Form
    {
        //アイデア一覧を取得するSQL
        private const string COMMANDTEXT_SELECT_IDEA = @"SELECT
    IDEA_ID AS ID, LIMIT_TIME AS 期限,
    CASE WHEN GETDATE() >= LIMIT_TIME THEN IDEA_CONTENTS 
    ELSE '[まだ見れません]' END AS 内容
    FROM IDEA";

        //メインフォームのコンストラクタ
        public FormMain()
        {
            InitializeComponent();
            DBUtility.InitializeDB();
            InitializeForm();
        }

        //画面を初期化する
        private void InitializeForm()
        {
            //コネクションを作成して開く
            using (SqlCeConnection con = DBUtility.GetConnection())
            {
                con.Open();

                //アイデアを取得するSelect分を実行するために
                //アダプタを生成する
                SqlCeDataAdapter adapter =
                    new SqlCeDataAdapter(new SqlCeCommand(COMMANDTEXT_SELECT_IDEA, con));

                //コネクションを閉じる
                con.Close();

                //アイデアをDBから取得し、データグリッドにバインドする
                DataSet dsIdea = new DataSet();
                adapter.Fill(dsIdea, "IDEA");
                this.dataGridView1.DataSource = dsIdea;
                this.dataGridView1.DataMember = "IDEA";
            }

        }

        //アイデア追加ボタン押下時のイベントハンドラ
        private void buttonAddIdea_Click(object sender, EventArgs e)
        {
            FormAdd formAdd = new FormAdd();
            formAdd.ShowDialog();
            InitializeForm();
        }
    }
}
